%define languageenglazy Lower Sorbian
%define languagecode    dsb
%define lc_ctype        dsb_DE

Name:           hunspell-%{languagecode}
Version:        1.4.8
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://dsb-spell.sourceforge.net
Source0:        https://sourceforge.net/projects/aoo-extensions/files/3045/14/lower_sorbian_spelling_dictionary-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete for dsb
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc description/desc_de.txt description/desc_en.txt description/desc_pl.txt registration/license_en.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.4.8-4.mga9
+ Revision: 1807896
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.8-3.mga8
+ Revision: 1501590
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.8-2.mga7
+ Revision: 1278722
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 1.4.8-1.mga7
+ Revision: 1213417
- Update to version 1.4.8

* Wed Feb 03 2016 umeabot <umeabot> 1.4.6-5.mga6
+ Revision: 933864
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.6-4.mga5
+ Revision: 748253
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.6-3.mga5
+ Revision: 680227
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 1.4.6-2.mga4
+ Revision: 536935
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.4.6-1.mga4
+ Revision: 485963
- New version: 1.4.6

* Sat Jan 12 2013 umeabot <umeabot> 1.4.5-3.mga3
+ Revision: 353429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.4.5-2.mga3
+ Revision: 325217
- rebuild for Mga3 Beta1

* Mon Jan 16 2012 kamil <kamil> 1.4.5-1.mga2
+ Revision: 197026
- new version 1.4.5

* Mon Jan 16 2012 kamil <kamil> 1.4.4-3.mga2
+ Revision: 196993
- adapt .spec for the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1.4.4-2.mga1
+ Revision: 68724
- imported package hunspell-dsb


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 04 2011 Caolán McNamara <caolanm@redhat.com> - 1.4.4-1
- latest version

* Thu Dec 02 2010 Caolán McNamara <caolanm@redhat.com> - 1.4.3-1
- latest version

* Mon May 24 2010 Caolán McNamara <caolanm@redhat.com> - 1.4.2-1
- latest version

* Sun Apr 11 2010 Caolán McNamara <caolanm@redhat.com> - 1.4.1-1
- latest version

* Wed Mar 31 2010 Caolán McNamara <caolanm@redhat.com> - 1.4.0-1
- latest version

* Thu Mar 04 2010 Caolán McNamara <caolanm@redhat.com> - 1.3.0-1
- latest version

* Wed Jan 06 2010 Caolán McNamara <caolanm@redhat.com> - 1.2.0-1
- latest version

* Fri Dec 11 2009 Caolán McNamara <caolanm@redhat.com> - 1.1.3-1
- latest version

* Tue Nov 03 2009 Caolán McNamara <caolanm@redhat.com> - 1.1.2-1
- latest version

* Wed Oct 14 2009 Caolán McNamara <caolanm@redhat.com> - 1.1.1-1
- initial version
